PETSc version 3.15.5
Fix/Edit manual page

# PetscFEGetDimension

Get the dimension of the finite element space on a cell

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFEGetDimension(PetscFE fem, PetscInt *dim)

Not collective

### Input Parameter

| fe | - The PetscFE

### Output Parameter

| dim | - The dimension

### See Also

PetscFECreate(), PetscSpaceGetDimension(), PetscDualSpaceGetDimension()

### Level

intermediate

### Location

src/dm/dt/fe/interface/fe.c

### Implementations

PetscFEGetDimension_Basic in src/dm/dt/fe/impls/basic/febasic.c
Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages